cURL
curl --request POST \ --url https://api.flipsidecrypto.xyz/public/v3/automations/{id}/runs \ --header 'Content-Type: application/json' \ --data ' { "metadata": {}, "inputValues": {}, "userAgent": "web" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "runById": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "state": "pending", "triggeredBy": "schedule", "error": {}, "metadata": {}, "inputValues": {}, "startedAt": "2023-11-07T05:31:56Z", "completedAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "stateHistory": [ { "state": "pending", "at": "2023-11-07T05:31:56Z" } ], "userAgent": "web", "workflowName": "<string>" }
Trigger a new manual automation run
Show child attributes
web
cli
internal-cli
api
slack
discord
telegram
schedule
unknown
null
Automation run triggered
pending
running
completed
failed
cancelled
manual
Was this page helpful?